Bug 126352 - findutils 4.1.20 is available
findutils 4.1.20 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: findutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-19 17:56 EDT by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.1.20-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 11:39:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
findutils-4.1.20-d_type.patch (28.70 KB, patch)
2004-06-19 17:57 EDT, Robert Scheck
no flags Details | Diff
findutils-4.1.20-install.patch (1.14 KB, patch)
2004-06-19 17:57 EDT, Robert Scheck
no flags Details | Diff
findutils-selinux.patch (9.99 KB, patch)
2004-06-19 17:58 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2004-06-19 17:56:05 EDT
Description of problem:
findutils 4.1.20 is available since May 27, 2003 and Fedora 
Development is hanging around the older 4.17. For more information 
have a look to the changelog.

Version-Release number of selected component (if applicable):
findutils-4.1.7-27

Actual results:
Here's the diff from that what I did and what is working for me:

--- snipp ---
--- findutils.spec       2004-06-15 16:39:03.000000000 +0200
+++ findutils.spec.rsc   2004-06-19 23:50:11.000000000 +0200
@@ -3,8 +3,8 @@
 %endif
 Summary: The GNU versions of find utilities (find and xargs).
 Name: findutils
-Version: 4.1.7
-Release: 27
+Version: 4.1.20
+Release: 1
 Epoch: 1
 License: GPL
 Group: Applications/File
@@ -12,15 +12,16 @@
 Patch0: findutils-53857.patch
 Patch1: findutils-4.1.7-usage.patch
 Patch2: findutils-4.1.7-i.patch
-Patch3: findutils-4.1.7-d_type.patch
+Patch3: findutils-4.1.20-d_type.patch
 Patch4: findutils-4.1.7-xargs-EIL.patch
+Patch5: findutils-selinux.patch
+Patch6: findutils-4.1.20-install.patch
 %if %{WITH_SELINUX}
 BuildRequires: libselinux-devel
-Patch5: findutils-selinux.patch
 %endif
 Prereq: /sbin/install-info
 Buildroot: %{_tmppath}/%{name}-%{version}-root
-BuildRequires: libtool
+BuildRequires: libtool, automake17, autoconf
 BuildRequires: dejagnu

 %description
@@ -45,9 +46,21 @@
 #SELinux
 %patch5 -p1 -b .selinux
 %endif
+%patch6 -p1 -b .install

 rm -f config.guess config.sub
 libtoolize --force
+autoheader
+aclocal-1.7
+automake-1.7
+autoconf
+
+cd gnulib
+libtoolize --force
+autoheader
+aclocal-1.7 -I m4
+automake-1.7
+autoconf

 %build
 %define        optflags $RPM_OPT_FLAGS -D_GNU_SOURCE
@@ -99,6 +112,9 @@
 %{_infodir}/find.info*

 %changelog
+* Sat Jun 19 2004 Robert Scheck <redhat@linuxnetz.de> 4.1.20-1
+- Upgrade to 4.1.20 and some specfile cleanup
+
 * Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
 - rebuilt

--- snapp ---

Expected results:
Upgrade to 4.1.20 ;-)

Additional info:
The merged SELinux patch is untested but should work and I don't 
know whether my hack is good or bad - it's just working for me...
Comment 1 Robert Scheck 2004-06-19 17:57:22 EDT
Created attachment 101267 [details]
findutils-4.1.20-d_type.patch
Comment 2 Robert Scheck 2004-06-19 17:57:50 EDT
Created attachment 101268 [details]
findutils-4.1.20-install.patch
Comment 3 Robert Scheck 2004-06-19 17:58:15 EDT
Created attachment 101269 [details]
findutils-selinux.patch
Comment 4 Tim Waugh 2004-06-25 11:22:45 EDT
Thanks!  I have built this as 4.1.20-1, with a few small changes.
Comment 5 Robert Scheck 2004-06-26 13:06:22 EDT
Thank you, Tim, but could you please move at the next rebuild

"Patch7: findutils-selinux.patch"

outside the SELinux conditional, as I did it? So if someone rebuilds 
the findutils without SELinux support that patch is missing in the new 
source rpm...
Comment 6 Tim Waugh 2004-06-28 05:26:37 EDT
Done in CVS -- hadn't realised that was intentional, sorry.
Comment 7 Robert Scheck 2004-06-28 14:22:26 EDT
You're welcome - thank you :-)
Comment 8 Robert Scheck 2004-08-02 07:51:20 EDT
In the latest -3 (from today) my whished change from comment #5 isn't 
applied...reopening.
Comment 9 Tim Waugh 2004-08-02 07:56:15 EDT
Not sure how that happened.  Fixed in CVS.
Comment 10 Robert Scheck 2004-10-06 11:00:29 EDT
Tim, do we get master of the situation of this simple problem? Patch10 
(SELinux patch) should be moved out of the SELinux conditional...
Comment 11 Tim Waugh 2004-10-06 11:39:35 EDT
Argh!  Fixed and built.

(Some things from CVS after last build got missed in a CVS reshuffle a
few weeks ago.)

Note You need to log in before you can comment on or make changes to this bug.